# Class UIRouterGlobals

Global router state

This is where we hold the global mutable state such as current state, current params, current transition, etc.

- Defined in router/globals.js:9

#####
Index

### Constructors

constructor

### Properties

$get
lastStartedTransitionId
params
successfulTransitions
transitionHistory

##
Constructors

### constructor

- new UIRouterGlobals(): UIRouterGlobals

- #### Returns UIRouterGlobals

  - Defined in router/globals.js:10

##
Properties

### $get

$get: (() => UIRouterGlobals)[] = ...

- Defined in router/globals.js:35

### lastStartedTransitionId

lastStartedTransitionId: number

- Defined in router/globals.js:22

### params

params: StateParams

Current parameter values

The parameter values from the latest successful transition

- Defined in router/globals.js:17

### successfulTransitions

successfulTransitions: Queue

- Defined in router/globals.js:32

### transitionHistory

transitionHistory: Queue

- Defined in router/globals.js:27